"use strict";
exports.__esModule = true;
exports.getCompletedFileProps = exports.getStartFileProps = exports.renderHtml = void 0;
var fs_1 = require("fs");
var gray_matter_1 = require("gray-matter");
var remark_1 = require("remark");
var remark_html_1 = require("remark-html");
var constants_1 = require("./constants");
var renderHtml = function (lessonId, chapterId) {
    var fileContent = fs_1["default"].readFileSync("".concat(constants_1.ROOT_PATH, "/lesson-").concat(lessonId, "/chapter-").concat(chapterId, "/readme.md"));
    var _a = (0, gray_matter_1["default"])(fileContent), data = _a.data, content = _a.content;
    return {
        title: (data === null || data === void 0 ? void 0 : data.title) || "",
        fileNameToEdit: data.fileNameToEdit || null,
        body: (0, remark_1.remark)().use(remark_html_1["default"]).processSync(content).value
    };
};
exports.renderHtml = renderHtml;
var getStartFileProps = function (lessonId) {
    var fileContent = fs_1["default"].readFileSync("".concat(constants_1.ROOT_PATH, "/lesson-").concat(lessonId, "/start.md"));
    var _a = (0, gray_matter_1["default"])(fileContent), data = _a.data, content = _a.content;
    return {
        title: (data === null || data === void 0 ? void 0 : data.title) || "",
        description: data.description || "",
        body: (0, remark_1.remark)().use(remark_html_1["default"]).processSync(content).value
    };
};
exports.getStartFileProps = getStartFileProps;
var getCompletedFileProps = function (lessonId) {
    var fileContent = fs_1["default"].readFileSync("".concat(constants_1.ROOT_PATH, "/lesson-").concat(lessonId, "/completed.md"));
    var _a = (0, gray_matter_1["default"])(fileContent), data = _a.data, content = _a.content;
    return {
        title: (data === null || data === void 0 ? void 0 : data.title) || "",
        description: data.description || "",
        body: (0, remark_1.remark)().use(remark_html_1["default"]).processSync(content).value
    };
};
exports.getCompletedFileProps = getCompletedFileProps;
